//
//  ConversationListDataSource.h
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/1/19.
//

#import <Foundation/Foundation.h>
#import <ZIM/ZIMDefines.h>
NS_ASSUME_NONNULL_BEGIN

@protocol conversationSourceNotifcation <NSObject>

-(void)conversationSelectedNotfication:(NSString *)conversationID conversationType:(int)type;

-(void)conversationUpdateNotfication;

-(void)unreadCountupdateNotification;

@end

@interface ConversationListDataSource : NSObject


@property NSMutableArray *conversationList;

+(ConversationListDataSource *)shared;

+(void)releaseMySelf;

-(void)queryMoreConversationList;

-(void)conversationSelected:(NSString *)conversationID
           conversationType:(int)type;

-(void)setConversationSourceNotifcationDelegate:(id<conversationSourceNotifcation>)delegate;

-(void)conversationUpdate;

-(void)deleteConversation:(int)Index;

-(void)deleteConversationByConversationID:(NSString *)conversationID;

-(NSString *)readUnreadMessageCount;
@end


NS_ASSUME_NONNULL_END
