//
//  GroupReceiveMsgFileTableViewCell.m
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/4/27.
//

#import "GroupReceiveMsgFileTableViewCell.h"

@implementation GroupReceiveMsgFileTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    
}
- (IBAction)downLoadButtonCliked:(UIButton *)sender {
    self.progressView.progress = 0.0;
    self.progressView.hidden = false;
    self.downloadButton.hidden = true;
    self.fileNameLabel.hidden = true;
    [[ZGZIMManager shared] downloadMediaFileWithMessage:(ZIMFileMessage *)self.message fileType:ZIMMediaFileTypeOriginalFile progress:^(ZIMMessage * _Nonnull message, unsigned long long currentFileSize, unsigned long long totalFileSize) {
        float progress = [NSString stringWithFormat:@"%.2f",(float)currentFileSize/(float)totalFileSize].floatValue;
        [self.progressView setProgress:progress animated:YES];
    } callback:^(ZIMMessage * _Nonnull message, ZIMError * _Nonnull errorInfo) {
        self.progressView.hidden = true;
        self.fileNameLabel.hidden = false;
        [self.fileNameLabel setText:((ZIMFileMessage *)message).fileName];
        self.readayToShowCallback(Update,message);
    }];
}

-(void)readyToshow:(ZIMMessage *)message
          callback:(void(^)(MessageCellEvent event,ZIMMessage * msg))callback{
    [super readyToshow:message callback:callback];
    ZIMFileMessage *fileMsg = (ZIMFileMessage *)message;
    self.fileNameLabel.hidden = false;
    [self.fileNameLabel setText:fileMsg.fileName];
    [self.fileNameLabel setText:fileMsg.fileName];
    if([self fileisExit:fileMsg.fileLocalPath]){
        if(message.receiptStatus == ZIMMessageReceiptStatusProcessing){
            [self.downloadButton setImage:[UIImage imageNamed:@"duigou"] forState:UIControlStateNormal];
            self.downloadButton.hidden = false;
        }else if(message.receiptStatus == ZIMMessageReceiptStatusDone){
            [self.downloadButton setImage:[UIImage imageNamed:@"duigou-xuanzhong"] forState:UIControlStateNormal];
            self.downloadButton.hidden = false;
        }else{
            self.downloadButton.hidden = true;
        }
    }else{
        self.downloadButton.hidden = false;
    }
    self.readayToShowCallback = callback;
    
    
}

-(BOOL)fileisExit:(NSString *)
filepath{
    
    NSFileManager *fileManager = [NSFileManager defaultManager];
    if ([fileManager fileExistsAtPath:filepath]) {
        return true;
    } else{
        return false;
    };
}
@end
