//
//  GroupSendMsgImageTableViewCell.h
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/4/26.
//

#import <UIKit/UIKit.h>
#import "GroupViewController.h"
#import "MessageTableViewCell.h"

NS_ASSUME_NONNULL_BEGIN

@interface GroupSendMsgImageTableViewCell : MessageTableViewCell

@property int messageID;

@property (weak, nonatomic) IBOutlet UIImageView *sendImage;

@property (weak, nonatomic) IBOutlet UIProgressView *progressView;

@property (weak, nonatomic) IBOutlet UILabel *titleLabel;

@property GroupViewController *masterVC;

@property NSTimer *progressTimer;

@property (weak, nonatomic) IBOutlet UIImageView *msgStatusImageView;

@property ZIMMessageSendConfig *sendConfig;

-(void)readyToshow:(ZIMMessage *)message
          callback:(void(^)(MessageCellEvent event,ZIMMessage * msg))callback;



@end

NS_ASSUME_NONNULL_END
