//
//  SendMsgTableViewCell.m
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/1/21.
//

#import "GroupSendMsgTableViewCell.h"

@implementation GroupSendMsgTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

-(void)readyToshow:(ZIMMessage *)message
          callback:(void(^)(MessageCellEvent event,ZIMMessage * msg))callback{
    [super readyToshow:message callback:callback];
    switch (message.sentStatus) {
        case ZIMMessageSentStatusSendFailed:
            [self.msgStatusImageView setImage:[UIImage imageNamed:@"gantanhao-2"]];
            self.msgStatusImageView.hidden = false;
            break;
        case ZIMMessageSentStatusSending:{
            [self.msgStatusImageView setImage:[UIImage imageNamed:@"loading"]];
            self.msgStatusImageView.hidden = false;
            break;
        }
        case ZIMMessageSentStatusSendSuccess:{
            if(message.receiptStatus == ZIMMessageReceiptStatusProcessing){
                [self.msgStatusImageView setImage:[UIImage imageNamed:@"duigou"]];
                self.msgStatusImageView.hidden = false;
            }else if(message.receiptStatus == ZIMMessageReceiptStatusDone){
                [self.msgStatusImageView setImage:[UIImage imageNamed:@"duigou-xuanzhong"]];
                self.msgStatusImageView.hidden = false;
            }
            else{
                self.msgStatusImageView.hidden = true;
            }
            break;
        }
        default:
            break;
    }
    [self.UserNameLabel setText:[ZGZIMManager shared].myUserID];
    [self.MsgContentLabel setText:((ZIMTextMessage *)message).message];
}

@end
