//
//  GroupSetNumberTableViewCell.m
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/2/17.
//

#import "GroupSetNumberTableViewCell.h"
#import "ZGHUDHelper.h"
#import "ZGZIMManager.h"
@implementation GroupSetNumberTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

-(void)hiddenSomeMember:(int)hiddenNumber{
    if(hiddenNumber >= 3){
        self.user2NameLabel.hidden = true;
        self.user2TrueNameLabel.hidden = true;
        self.user2ImageView.hidden = true;
    }
    if(hiddenNumber >= 2){
        self.user3NameLabel.hidden = true;
        self.user3TrueNameLabel.hidden = true;
        self.user3ImageView.hidden = true;
    }
    if(hiddenNumber >= 1){
        
        self.user4NameLabel.hidden = true;
        self.user4TrueNameLabel.hidden = true;
        self.user4ImageView.hidden = true;
    }
}
-(void)recoverHidden{
    self.user1NameLabel.hidden = false;
    self.user1ImageView.hidden = false;
    self.user1ImageView.userInteractionEnabled = YES;
    self.user1trueNameLabel.hidden = false;
    self.user2NameLabel.hidden = false;
    self.user2ImageView.hidden = false;
    self.user2ImageView.userInteractionEnabled = YES;
    self.user2TrueNameLabel.hidden = false;
    self.user3NameLabel.hidden = false;
    self.user3ImageView.hidden = false;
    self.user3ImageView.userInteractionEnabled = YES;
    self.user3TrueNameLabel.hidden = false;
    self.user4NameLabel.hidden = false;
    self.user4ImageView.hidden = false;
    self.user4ImageView.userInteractionEnabled = YES;
    self.user4TrueNameLabel.hidden = false;
}

- ( void )touchesBegan:( NSSet *)touches withEvent:(UIEvent *)event
{
     
     UITouch *touch = [[event allTouches] anyObject];
     
     if ([touch view] == self.user1ImageView)
     {
         //do some method.....
         [self queryGroupMemberInfo:self.user1NameLabel.text];
     }else if ([touch view] == self.user2ImageView){
         [self queryGroupMemberInfo:self.user2NameLabel.text];
         
     }else if ([touch view] == self.user3ImageView){
         [self queryGroupMemberInfo:self.user3NameLabel.text];
     }else if ([touch view] == self.user4ImageView){
         [self queryGroupMemberInfo:self.user4NameLabel.text];
     }
     
}

-(void)queryGroupMemberInfo:(NSString *)userID{
    [[ZGZIMManager shared] queryGroupMemberInfoByUserID:userID groupID:self.groupID callback:^(NSString * _Nonnull groupID, ZIMGroupMemberInfo * _Nonnull userInfo, ZIMError * _Nonnull errorInfo) {
        [ZGHUDHelper showMessage:[NSString stringWithFormat:@"code:%lu,message:%@,userID:%@,userName:%@,role:%d,nickName:%@,avatarUrl:%@",errorInfo.code,errorInfo.message,userInfo.userID,userInfo.userName,userInfo.memberRole,userInfo.memberNickname,userInfo.memberAvatarUrl]];
    }];
}


-(void)hiddenAllItems{
    self.user1NameLabel.hidden = true;
    self.user1trueNameLabel.hidden = true;
    self.user1ImageView.hidden = true;
    self.user2NameLabel.hidden = true;
    self.user2TrueNameLabel.hidden = true;
    self.user2ImageView.hidden = true;
    self.user3NameLabel.hidden = true;
    self.user3TrueNameLabel.hidden = true;
    self.user3ImageView.hidden = true;
    self.user4NameLabel.hidden = true;
    self.user4TrueNameLabel.hidden = true;
    self.user4ImageView.hidden = true;
}
-(void)readyToShow:(NSArray<ZIMGroupMemberInfo *> *)infos{
    [self hiddenAllItems];
    if(infos.count>=1){
        self.user1NameLabel.hidden = false;
        self.user1trueNameLabel.hidden = false;
        self.user1ImageView.hidden = false;
        self.user1NameLabel.text = infos[0].userID;
        self.user1trueNameLabel.text = infos[0].userName;
    }
    if(infos.count>=2){
        self.user2NameLabel.hidden = false;
        self.user2ImageView.hidden = false;
        self.user2TrueNameLabel.hidden = false;
        self.user2NameLabel.text = infos[1].userID;
        self.user2TrueNameLabel.text = infos[1].userName;
    }
    if(infos.count>=3){
        self.user3NameLabel.hidden = false;
        self.user3ImageView.hidden = false;
        self.user3TrueNameLabel.hidden = false;
        self.user3NameLabel.text = infos[2].userID;
        self.user3TrueNameLabel.text = infos[2].userName;
        
    }
    if(infos.count>=4){
        self.user4NameLabel.hidden = false;
        self.user4ImageView.hidden = false;
        self.user4TrueNameLabel.hidden = false;
        self.user4NameLabel.text = infos[3].userID;
        self.user3TrueNameLabel.text = infos[3].userName;
    }
}
@end
