//
//  SelectUserIDDataSource.m
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/2/23.
//

#import "SelectUserIDDataSource.h"
static SelectUserIDDataSource *dataSource = nil;

@interface SelectUserIDDataSource()

@property(nonatomic,weak)id<userIDSelectedNotification> delegate;

@property NSString *selectedUserID;

@end
@implementation SelectUserIDDataSource
+(SelectUserIDDataSource *)shared{
    if(dataSource == nil){
        dataSource = [[SelectUserIDDataSource alloc] init];
    }
    return dataSource;
}
+(void)releaseMyself{
    dataSource = nil;
}
-(void)addDelegate:(id<userIDSelectedNotification>)delegate{
    if(self.delegate == nil){
        self.delegate = delegate;
    }
}

-(void)setUserID:(NSString *)selectedUserID{
    self.selectedUserID = selectedUserID;
    dispatch_async(dispatch_get_main_queue(), ^{
        
        if([self.delegate respondsToSelector:@selector(useridSelected:)]){
            [self.delegate useridSelected:self.selectedUserID];
        }
    });
}

@end
