//
//  GroupListTableViewCell.m
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/1/19.
//

#import "GroupListTableViewCell.h"
#import "GroupViewController.h"
#import <ZIM/ZIM.h>
#import "ZGHUDHelper.h"
#import "ZGZIMManager.h"
@interface GroupListTableViewCell()

@property int counter;

@end


@implementation GroupListTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}
- (IBAction)updateAvatarButtonClicked:(UIButton *)sender {
    if(_counter == 5){
        _counter = 1;
    }else{
    _counter = _counter + 1;
    }
    
    NSString *url = [NSString stringWithFormat:@"https://storage.zego.im/zim/example/web/assets/%d.jpeg",_counter];
    [[ZGZIMManager shared] updateGroupAvatarUrl:url groupID:self.groupIDLabel.text callback:^(NSString * _Nonnull groupID, NSString * _Nonnull groupAvatarUrl, ZIMError * _Nonnull errorInfo) {
        if(errorInfo.code ==0){
            [self.masterVc queryGroupList];
        }
        else{
            [ZGHUDHelper showMessage:[NSString stringWithFormat:@"failed! ErrorCode: %d,%@", (int)errorInfo.code,errorInfo.message]];
        }
    }];
    
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    
    [super setSelected:selected animated:animated];
    
    if(selected == true){
        GroupViewController *vc = [[UIStoryboard storyboardWithName:@"Main" bundle:nil] instantiateViewControllerWithIdentifier:@"GroupViewController"];
        vc.toGroupID = self.groupIDLabel.text;
        vc.tabBarIndex = 1;
        [self.masterVc.navigationController pushViewController:vc animated:YES];
        //[self.contentView.window setRootViewController:vc];
    }
}

@end
