//
//  PeerSendVideoMessageTableViewCell.h
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/4/29.
//

#import <UIKit/UIKit.h>
#import "PeerViewController.h"
#import "MessageTableViewCell.h"
NS_ASSUME_NONNULL_BEGIN

@interface PeerSendVideoMessageTableViewCell : MessageTableViewCell

@property (weak, nonatomic) IBOutlet UIImageView *videoPhotoView;

@property (weak, nonatomic) IBOutlet UIProgressView *progressView;

@property PeerViewController *masterVC;

@property ZIMMessageSendConfig *sendConfig;

@property (weak, nonatomic) IBOutlet UIImageView *msgStatusImageView;

-(void)readyToShow:(ZIMMessage *)message
          callback:(void(^)(MessageCellEvent event,ZIMMessage * msg))callback;
@end

NS_ASSUME_NONNULL_END
