//
//  RoomReceiveFileMessageTableViewCell.m
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/4/29.
//

#import "RoomReceiveFileMessageTableViewCell.h"

@implementation RoomReceiveFileMessageTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}
- (IBAction)downLoadButtonClicked:(UIButton *)sender {
    self.progressView.progress = 0.0;
    self.progressView.hidden = false;
    self.downLoadButton.hidden = true;
    
    [[ZGZIMManager shared] downloadMediaFileWithMessage:self.fileMsg fileType:ZIMMediaFileTypeOriginalFile progress:^(ZIMMessage * _Nonnull message, unsigned long long currentFileSize, unsigned long long totalFileSize) {
        float progress = [NSString stringWithFormat:@"%.2f",(float)currentFileSize/(float)totalFileSize].floatValue;
        [self.progressView setProgress:progress animated:YES];
    } callback:^(ZIMMessage * _Nonnull message, ZIMError * _Nonnull errorInfo) {
        self.progressView.hidden = true;
    }];
    
}

@end
