//
//  UITableViewCell+UIMenu.m
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/5/30.
//

#import "UITableViewCell+UIMenu.h"

@implementation UITableViewCell (UIMenu)

- (BOOL)canBecomeFirstResponder
{
    return YES;
}


- (BOOL)canPerformAction:(SEL)action withSender:(id)sender
{
    if (action == @selector(copy:) || action == @selector(delete:)) {
        return YES;
    }
    return NO;
}

-(void)copy:(id)sender
{
    
}

-(void)delete:(id)sender
{
    
}


-(void)showMessageMenu{
    UIMenuItem *deleteLink = [[UIMenuItem alloc] initWithTitle:@"删除" action:@selector(delete:)];
    [[UIMenuController sharedMenuController] setMenuItems:[NSArray arrayWithObjects:deleteLink, nil]];
    [[UIMenuController sharedMenuController] setTargetRect:self.frame inView:self.superview];
    [[UIMenuController sharedMenuController] setMenuVisible:YES animated:YES];
}
@end
