//
//  GroupSetNumberTableViewCell.h
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/2/17.
//

#import <UIKit/UIKit.h>
#import<ZIM/ZIM.h>
NS_ASSUME_NONNULL_BEGIN

@interface GroupSetNumberTableViewCell : UITableViewCell

@property NSString *groupID;

@property (weak, nonatomic) IBOutlet UIImageView *user1ImageView;
@property (weak, nonatomic) IBOutlet UILabel *user1NameLabel;
@property (weak, nonatomic) IBOutlet UILabel *user1trueNameLabel;

@property (weak, nonatomic) IBOutlet UIImageView *user2ImageView;
@property (weak, nonatomic) IBOutlet UILabel *user2NameLabel;
@property (weak, nonatomic) IBOutlet UILabel *user2TrueNameLabel;

@property (weak, nonatomic) IBOutlet UIImageView *user3ImageView;
@property (weak, nonatomic) IBOutlet UILabel *user3NameLabel;
@property (weak, nonatomic) IBOutlet UILabel *user3TrueNameLabel;

@property (weak, nonatomic) IBOutlet UIImageView *user4ImageView;
@property (weak, nonatomic) IBOutlet UILabel *user4NameLabel;
@property (weak, nonatomic) IBOutlet UILabel *user4TrueNameLabel;

-(void)hiddenSomeMember:(int)hiddenNumber;
-(void)recoverHidden;

-(void)readyToShow:(NSArray<ZIMGroupMemberInfo *> *)memberInfo;

@end

NS_ASSUME_NONNULL_END
