//
//  SelectUserIDDataSource.h
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/2/23.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@protocol userIDSelectedNotification <NSObject>

-(void)useridSelected:(NSString *)userID;

@end

@interface SelectUserIDDataSource : NSObject

+(SelectUserIDDataSource *)shared;

+(void)releaseMyself;

-(void)setUserID:(NSString *)selectedUserID;

-(void)addDelegate:(id<userIDSelectedNotification>)delegate;

@end

NS_ASSUME_NONNULL_END
