//
//  PeerReceiveMsgTableViewCell.h
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/1/20.
//

#import <UIKit/UIKit.h>
#import <ZIM/ZIM.h>
#import "PeerViewController.h"
#import "MessageTableViewCell.h"
NS_ASSUME_NONNULL_BEGIN

@interface PeerReceiveMsgTableViewCell : MessageTableViewCell
@property (weak, nonatomic) IBOutlet UILabel *contentMessageLabel;

@property (weak, nonatomic) IBOutlet UIImageView *avatar;
@property (weak, nonatomic) IBOutlet UIImageView *msgStatusImageView;

@property PeerViewController * masterVc;

-(void)readyToshow:(ZIMMessage *)message
      userFullInfo:(ZIMUserFullInfo *)userFullInfo
          callback:(void(^)(MessageCellEvent event,ZIMMessage * msg))callback;

@end

NS_ASSUME_NONNULL_END
