//
//  PeerReceiveMsgTableViewCell.m
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/1/20.
//

#import "PeerReceiveMsgTableViewCell.h"
#import "ZGZIMManager.h"
@implementation PeerReceiveMsgTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];
        
    // Configure the view for the selected state
}

-(void)readyToshow:(ZIMMessage *)message
      userFullInfo:(ZIMUserFullInfo *)userFullInfo
          callback:(void(^)(MessageCellEvent event,ZIMMessage * msg))callback{
    switch (message.sentStatus) {
        case ZIMMessageSentStatusSendFailed:
            [self.msgStatusImageView setImage:[UIImage imageNamed:@"gantanhao-2"]];
            self.msgStatusImageView.hidden = false;
            break;
        case ZIMMessageSentStatusSending:{
            [self.msgStatusImageView setImage:[UIImage imageNamed:@"loading"]];
            self.msgStatusImageView.hidden = false;
            break;
        }
        case ZIMMessageSentStatusSendSuccess:{
            if(message.receiptStatus != ZIMMessageReceiptStatusNone){
                [self.msgStatusImageView setImage:[UIImage imageNamed:@"duigou-xuanzhong"]];
                self.msgStatusImageView.hidden = false;
            }else{
                self.msgStatusImageView.hidden = true;
            }
            break;
        }
        default:
            break;
    }
    self.message = message;
    ZIMTextMessage *txtMsg = (ZIMTextMessage *)message;
    self.readayToShowCallback = callback;
    self.avatar.image = [UIImage imageNamed:@"personal"];
    if(userFullInfo.extendedData != nil && ![userFullInfo.extendedData  isEqual:@""]){
        NSData *extendedData = [userFullInfo.extendedData dataUsingEncoding:NSUTF8StringEncoding];
        NSDictionary *dict = [NSJSONSerialization JSONObjectWithData:extendedData options:kNilOptions error:nil];
        NSString *avatarURL = [dict objectForKey:@"avatar"];
        self.avatar.image = [UIImage imageWithData:[NSData dataWithContentsOfURL:[NSURL URLWithString:avatarURL]]];
    }
    
    [self.contentMessageLabel setText:txtMsg.message];
}



@end
