//
//  PeerSendFileMessageTableViewCell.h
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/4/29.
//

#import <UIKit/UIKit.h>
#import "PeerViewController.h"
#import "MessageTableViewCell.h"
NS_ASSUME_NONNULL_BEGIN

@interface PeerSendFileMessageTableViewCell : MessageTableViewCell
@property (weak, nonatomic) IBOutlet UIProgressView *progressView;

@property PeerViewController *masterVC;

@property (weak, nonatomic) IBOutlet UILabel *fileNameLabel;

@property (weak, nonatomic) IBOutlet UIImageView *msgStatusImageView;

@property ZIMMessageSendConfig *sendConfig;

-(void)readyToShow:(ZIMMessage *)message
          callback:(void(^)(MessageCellEvent event,ZIMMessage * msg))callback;

@end

NS_ASSUME_NONNULL_END
