//
//  RoomChatSendMsgTableViewCell.m
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/2/22.
//

#import "RoomChatSendMsgTableViewCell.h"

@implementation RoomChatSendMsgTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

-(void)readyToshow:(ZIMMessage *)message
          callback:(void(^)(MessageCellEvent event,ZIMMessage * msg))callback{
    switch (message.sentStatus) {
        case ZIMMessageSentStatusSendFailed:
            [self.msgStatusImageView setImage:[UIImage imageNamed:@"gantanhao-2"]];
            self.msgStatusImageView.hidden = false;
            break;
        case ZIMMessageSentStatusSending:{
            [self.msgStatusImageView setImage:[UIImage imageNamed:@"loading"]];
            self.msgStatusImageView.hidden = false;
            break;
        }

        case ZIMMessageSentStatusSendSuccess:{
            self.msgStatusImageView.hidden = true;
            break;
        }
        default:
            break;
    }
    [self.msgLabel setText:((ZIMTextMessage *)message).message];
    [self.nameLabel setText:[ZGZIMManager shared].myUserID];
    self.message = message;
    self.readayToShowCallback = callback;
}

@end
