//
//  RoomSendFileMessageTableViewCell.m
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/4/29.
//

#import "RoomSendFileMessageTableViewCell.h"
#import "ZGZIMManager.h"
@implementation RoomSendFileMessageTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

-(void)readyToShow:(ZIMImageMessage *)fileMsg
          callback:(void(^)(ZIMMessage * imgMsg))callbackMsg{
    [self.titleLabel setText:[ZGZIMManager shared].myUserID];
    if(fileMsg.sentStatus == 3){
        ZIMMessageSendConfig *sendConfig = [[ZIMMessageSendConfig alloc] init];
        sendConfig.priority = 1;
        [fileMsg setValue:[NSNumber numberWithInt:0] forKey:@"sentStatus"];
        [[ZGZIMManager shared] sendMediaMessage:fileMsg toConversationID:self.masterVC.myRoomID conversationType:ZIMConversationTypeRoom config:sendConfig progress:^(ZIMMessage * _Nonnull message, unsigned long long currentFileSize, unsigned long long totalFileSize) {
            self.progressView.hidden = false;
            float progress = [NSString stringWithFormat:@"%.1f",(float)currentFileSize/(float)totalFileSize].floatValue;
            [self.progressView setProgress:progress animated:YES];
        } callback:^(ZIMMessage * _Nonnull message, ZIMError * _Nonnull errorInfo) {
            self.progressView.hidden = true;
            callbackMsg(message);
        }];
        callbackMsg(fileMsg);
    }
    else if(fileMsg.sentStatus == ZIMMessageSentStatusSending){
        
        
    }
    else{
        
    }
}

@end
