//
//  MessageTableViewCell.h
//  ZIMExampleDemo
//
//  Created by 武耀琳 on 2022/11/17.
//

#import <UIKit/UIKit.h>
#import "ZGZIMManager.h"
NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSUInteger, MessageCellEvent) {

    Delete = 0,
    
    Revoke = 1,
    
    Update = 2
};


@interface MessageTableViewCell : UITableViewCell

@property ZIMMessage *message;

@property void(^readayToShowCallback)(MessageCellEvent event,ZIMMessage * msg);

-(void)readyToshow:(ZIMMessage *)message
          callback:(void(^)(MessageCellEvent event,ZIMMessage * msg))callback;


@end

NS_ASSUME_NONNULL_END
